Get DSP Refund by DSP ID
GET {{base_url}}/v3/refunds/{{dsps_delivery_id}}
Required scope: refunds:read
Retrieves a specific DSP refund by its external DSP delivery ID.
Examples
Section titled “Examples”curl --request GET '${base_url}/v3/refunds/${dsps_delivery_id}' \ --header 'Authorization: Bearer {{auth_token}}'const response = await fetch("${base_url}/v3/refunds/${dsps_delivery_id}", { "method": "GET", "headers": { "Authorization": "Bearer {{auth_token}}" }})const data = await response.json()import requests
response = requests.request( "GET", "${base_url}/v3/refunds/${dsps_delivery_id}", headers={ 'Authorization': 'Bearer {{auth_token}}'},)response.raise_for_status()Saved responses
Section titled “Saved responses”{ "success": true, "data": { "id": "refund_12345", "amount": 15.5, "contact_email": "customer@example.com", "description": "Food was cold and delivery was late", "external_dsps_id": "dsp_delivery_12345", "external_dsps_name": "DoorDash", "issue_type": "food_quality", "merchant_name": "Joe's Pizza", "internal_status": "unreviewed", "status": "pending", "created_at": "2024-01-15T10:30:00Z", "updated_at": "2024-01-15T10:30:00Z" }}
